summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStig Sandbeck Mathisen <ssm@debian.org>2012-05-05 11:40:14 +0200
committerStig Sandbeck Mathisen <ssm@debian.org>2012-05-05 11:40:14 +0200
commit7edaa1455385d830b37d423304c8546bb8d2c66b (patch)
tree9906debe17db7814e5f16e8d40f9423e138c7725
parent264c5061a8cc8086664073ac89cf7c504e4cf61d (diff)
downloadpuppet-7edaa1455385d830b37d423304c8546bb8d2c66b.tar.gz
use "set -e" in the script instead of "-e" on the shebang line
-rw-r--r--debian/puppet-common.postrm4
-rw-r--r--debian/puppetmaster-passenger.postrm4
-rw-r--r--debian/puppetmaster.postrm4
3 files changed, 9 insertions, 3 deletions
diff --git a/debian/puppet-common.postrm b/debian/puppet-common.postrm
index 841995675..d66842a7e 100644
--- a/debian/puppet-common.postrm
+++ b/debian/puppet-common.postrm
@@ -1,4 +1,6 @@
-#!/bin/sh -e
+#!/bin/sh
+
+set -e
case "$1" in
purge)
diff --git a/debian/puppetmaster-passenger.postrm b/debian/puppetmaster-passenger.postrm
index a7f34b61e..4536803e1 100644
--- a/debian/puppetmaster-passenger.postrm
+++ b/debian/puppetmaster-passenger.postrm
@@ -1,4 +1,6 @@
-#!/bin/sh -e
+#!/bin/sh
+
+set -e
case "$1" in
purge)
diff --git a/debian/puppetmaster.postrm b/debian/puppetmaster.postrm
index 0c6b28527..b7ec5041d 100644
--- a/debian/puppetmaster.postrm
+++ b/debian/puppetmaster.postrm
@@ -1,4 +1,6 @@
-#!/bin/sh -e
+#!/bin/sh
+
+set -e
#DEBHELPER#